Performancing Metrics

Wednesday, May 17, 2017

How can I rotate several blocks in there places in AutoCAD?

I have to rotate several blocks in AutoCAD to get them to the proper orientation, when i try to rotate them it wants to rotate all of them about an point. how can I get them to just spin in their places?

If you found this post helpful, do my a favor and please press the Facebook “like” button below. 

Comments

2 Responses to “How can I rotate several blocks in there places in AutoCAD?”
  1. CE says:

    You can create a LISP routine (if you can) or edit the block using block editor and rotate the object (but this will rotate all the blocks of the same kind). You can also try to look http://autocad.xplored.info/

  2. Maurizio says:

    I write an Autolisp command, copy code and paste in new text file and save as RotBlock.lsp
    From Tools > Load application, load Rotblock.lsp
    At prompt command area, write Rotblock and press Return
    First select blocks, next write angle (ex. 30) or pick on two point
    All blocks are rotated around proper insertion point

    ;RotBlock.lsp by Maurizio
    ;Start code
    (defun C:RotBlock ()
    (princ “nSelect blocks: “)
    (setq grp (ssget))
    (setq rotAngle (getangle “nRotation angle: “))
    (setq rotAngle (atof (angtos rotAngle 0)))
    (setq j 0)
    (repeat (sslength grp)
    (setq eName (ssname grp j))
    (setq pt (cdr (assoc 10 (entget eName))))
    (command “_rotate” eName “” pt rotAngle)
    (setq j (1+ j))
    )
    )
    ;End code

Speak Your Mind

Tell us what you're thinking...
and oh, if you want a pic to show with your comment, go get a gravatar!

What is 2 + 9 ?
Please leave these two fields as-is:
IMPORTANT! To be able to proceed, you need to solve the following simple math (so we know that you are a human) :-)